g2bAPI Reference
Tasks

Get a task

Returns one caller-owned task and its current durable state.

GET
/v1/tasks/{id}

Returns one caller-owned task and its current durable state.

Authorization

bearerAuth
AuthorizationBearer <token>

Create an API key in g2b Settings, then send it as a Bearer token.

In: header

Path Parameters

id*string
Length1 <= length <= 256

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/v1/tasks/string"
{  "id": "string",  "project_id": "string",  "name": "string",  "status": "setup",  "sandbox_status": "initializing",  "github_url": "string",  "branch": "string",  "created_at": "2019-08-24T14:15:22Z",  "updated_at": "2019-08-24T14:15:22Z"}
{  "error": {    "code": "string",    "message": "string"  }}
{  "error": "Unauthorized"}
{  "error": {    "code": "string",    "message": "string"  }}
{  "error": {    "code": "string",    "message": "string"  }}